## maui-communicator 4.0.2+p24.04+vstable+git20250928.0650

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20250928.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:50:51 +0000
