## maui-communicator 4.0.2+p24.04+vstable+git20250930.0540

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:15 +0000
