=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20251007.2341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 07 Oct 2025 23:41:23 +0000
