=== debian/control ===
Source: maui-communicator
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-kpeople-dev,
               kf6-kservice-dev,
               libmauikitfilebrowsing-dev,
               mauikit-dev,
               mauiman-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-communicator
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-communicator.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-communicator
Maintainer: Neon CI <neon@kde.org>

Package: maui-communicator
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui Archiver for compressed files
 Communicator keeps and organizes your contacts information. You can create,
 edit, delete information about your contacts providing a centralized place
 for managing your contacts.

Package: communicator
Depends: maui-communicator, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
