=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/communicator/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz
