## maui-communicator 4.0.2+p24.04+vstable+git20260103.0509

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260103.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:09:27 +0000
