## maui-communicator 4.0.2+p24.04+vstable+git20260105.0955

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260105.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:55:15 +0000
