## maui-communicator 4.0.2+p24.04+vstable+git20260107.0825

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260107.0825-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:25:28 +0000
