## maui-communicator 4.0.2+p24.04+vunstable+git20260130.1314

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vunstable+git20260130.1314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:14:28 +0000
